# Localizely SDK

### SDK setup

1. Update `pubspec.yaml` file:
```yaml
dependencies:
  ...
  localizely_sdk: ^1.1.0

flutter_intl:
  ...
  localizely:
    ota_enabled: true # Required for Over-the-air translation updates
```

2. Trigger localization files generation by Flutter Intl IDE plugin or by [intl_utils](https://pub.dev/packages/intl_utils) library

3. Initialize Localizely SDK (e.g. `main.dart` file):
```dart
import 'package:localizely_sdk/localizely_sdk.dart'; // import sdk package

void main() { 
  Localizely.init('<SDK_TOKEN>', '<DISTIRIBUTION_ID>'); // init sdk 
  Localizely.setPreRelease(true); // Add this only if you want to use prereleases
  runApp(MyApp());
}

// Update translations and setState with callback
Localizely.updateTranslations().then( 
  (response) => setState(() => print('Translations fetched')), 
  onError: (error) => print('Error occurred'));
```
